Cloud APIs
/- DrillPlan
Offset Well API
- Get QC rules for well entity
Create new or update existing well entities
Compute depths data for Activity, Risk, DrillingParameter and Survey by provided well guids
Delete well entities by ids
Delete well entities by well guids
Get well entities by ids
Get well entities by well guids
Scroll to fetch results of next page
Get QC rules for well ent...
Security
(bearer and appkey) or (sauth_service_token and appkey)
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/wells/qc-rules
- ProdUShttps://api.delfi.slb.com/drillplan/offset-well-data/v1/wells/qc-rules
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/offsetwellapi/v1/wells/qc-rules
- bearer + appkey
- sauth_service_token + appkey
curl -i -X GET \
https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/wells/qc-rules \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string'Response
- text/plain
- application/json
- text/json
[
{
"property_name": "string",
"parent_node_name": "string",
"rule_type": "Numerical"
}
]